%define name    emelfm2
%define version 0.9.1
%define release %mkrel 1


#this is to allow easy relocation eg to /usr/local
%define prefix /usr
%define _bindir %{prefix}/bin
%define _libdir %{prefix}/lib

Name:      %{name}
Version:   %{version}
Release:   %{release}
Summary:   GTK+3 file manager with two-panel format
Summary(de): GTK+3 Dateimanager mit zwei Fenstern
Group:     File tools
License:   GPL
URL:       http://emelfm2.net
Source:    %{name}-%{version}.tar.xz
Source1:   emelfm2.desktop
Patch:     emelfm2-0.7.2-icon-default-path.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires:	 findutils
Requires:	 grep 
Requires:	 sed
#-------------------------------------------
BuildRequires: desktop-file-utils
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}magic-devel
BuildRequires: %{_lib}pango1.0-devel
#------------------------------------------
Obsoletes: 	%name < %version


%description
It is a file manager for UNIX-like operating systems. It uses a
simple and efficient interface pioneered by Norton Commander, in
the 1980s. The main window is divided into three parts, described
as "panes" or "panels". Two of those (side-by-side or top-to-bottom)
show the contents of selected filesystem directories. The third pane,
at the bottom of the window, shows the output of commands executed
within the program. Those panes can be resized, and any one or two of
them can be hidden and unhidden, on request. A built-in command-line,
toolbar buttons or assigned keys can be used to initiate commands. 

%description -l de
Es ist ein Datei-Manager für Unix-ähnliche Betriebssysteme. Es verwendet eine
einfache und effiziente Schnittstelle Pionierarbeit von Norton Commander, in
den 1980er Jahren. Das Hauptfenster ist in drei Teile gegliedert, beschrieben
als "Scheiben" oder "Platten". Zwei davon (side-by-Side-oder von oben nach unten)
zeigen den Inhalt von ausgewählten Verzeichnissen Dateisystem. Der dritte Bereich,
am unteren Rand des Fensters zeigt die Ausgabe des Kommandos ausgeführt
innerhalb des Programms. Die Scheiben der Größe verändert werden können, und einem oder zwei
sie können ausgeblendet werden und eingeblendet, auf Anfrage. Ein eingebauter command-line,
Schaltflächen oder abgetreten Tasten können verwendet werden, um Befehle zu initiieren.


%prep
%setup -q
%patch -p1

sed -i "s@GTK3=.*@GTK3=0@ ; s@GLIB3=.*@GLIB3=0@" Makefile

%build

%make PREFIX=/usr


%install
rm -rf $RPM_BUILD_ROOT
%make install PREFIX=$RPM_BUILD_ROOT/usr

mkdir -p %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}

%make install_i18n PREFIX=%{buildroot}/usr

%find_lang %{name}

# menu
install -m 0644 %SOURCE1  $RPM_BUILD_ROOT%{_datadir}/applications/emelfm2.desktop

# icon fix
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 icons/emelfm2_48.png %{buildroot}%{_datadir}/pixmaps/%{name}.png


%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(644,root,root,755)
%defattr (-,root,root)
%{_bindir}/*
%{_datadir}/doc/emelfm2
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%dir %_libdir/%{name}
%dir %_libdir/%{name}/plugins
%{_libdir}/%{name}/plugins/e2p*.so
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/* 


%changelog
* Thu Feb 27 2014 bb <bb> 0.9.1-1pclos2014
- update

* Thu Dec 26 2013 bb <bb> 0.9.0-2pclos2013
- change to BR gtk3 devel
- drop useless i18n from specfile

* Wed Dec 25 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.9.0-1pclos2014
- 0.9.0

* Wed May 30 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.8.1-1pclos2012
- 0.8.1
- added %{_lib} macro
- fixed line number in patch
- added german comment in desktop file
- added german summary

* Thu Sep 08 2011 Texstar <texstar at gmail.com> 0.7.5-1pclos2011
- 0.7.5

* Fri Jun 18 2010 Texstar <texstar at gmail.com> 0.7.3-1pclos2010
- 0.7.3

* Fri May 28 2010 slick50 <lxgator at gmail.com> 0.7.2-2pclos2010
- rebuild 
- add missing default icon path

* Thu May 27 2010 slick50 <lxgator at gmail.com> 0.7.2-1pclos2010
- 0.7.2

* Mon Dec 21 2009 slick50 <lxgator at gmail.com> 0.7.1-1pclos2010
- 0.7.1

* Tue Sep 29 2009 Texstar <texstar at gmail.com> 0.6.2-1pclos2009
- 0.6.2

* Mon Apr 14 2008 Texstar <texstar at gmail.com> 0.4-1pclos2007
- 0.4 

* Fri May 25 2007 Texstar <texstar at gmail.com> 0.3.4-1pclos2007
- import into pclos 2007
